View Issue Details

IDProjectCategoryView StatusLast Update
0022205mantisbtplug-inspublic2017-01-31 04:02
ReporterdregadAssigned Todregad 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target Version2.1.0Fixed in Version2.1.0 
Summary0022205: Specifying plugin authors as array triggers 'Array to string conversion'
Description

The documentation says

/**
 * author - Your name, or an array of names.
 */
public $author      = null;

But when using an array, manage_plugin_page.php displays SYSTEM NOTICE: 'Array to string conversion' in '/path/to/mantisbt/manage_plugin_page.php' at line 138 or 310 depending on whether the plugin is installed or not.

TagsNo tags attached.

Activities

dregad

dregad

2017-01-15 18:20

developer   ~0055135

Caused by using is_blank() instead of empty().

dregad

dregad

2017-01-15 19:03

developer   ~0055139

PR https://github.com/mantisbt/mantisbt/pull/995

Related Changesets

MantisBT: master b840255d

2017-01-15 18:21:35

dregad

Details Diff
PHP notice when plugin authors are given as array

Fixes 0022205
mod - manage_plugin_page.php Diff File

MantisBT: master 1d96c88c

2017-01-25 10:51:10

dregad


Committer: GitHub Details Diff
Merge plugin requirements PR

Prevents plugins getting disabled when bumping MANTIS_VERSION to 2.1.x.
Fixes 0022171

Also contains the following changes and improvements:
- Add PHPUnit tests for plugin_dependency() function
- Refactor plugin_version_check() to use PHP's version_compare()
function instead of custom code
- Reset MANTIS_VERSION to 2.1.0-dev.
- Revert MantisCore version requirements in bundled plugins
- Fix PHP notice when specifying plugin authors as array, fixes 0022205
- align code with documentation
- Improved plugin documentation in Developers guide, fixes 0022206

PR https://github.com/mantisbt/mantisbt/pull/995
mod - core/constant_inc.php Diff File
mod - core/plugin_api.php Diff File
mod - docbook/Developers_Guide/en-US/Plugins_Building.xml Diff File
mod - docbook/Developers_Guide/en-US/Plugins_Building_Source.xml Diff File
mod - manage_plugin_page.php Diff File
mod - plugins/Gravatar/Gravatar.php Diff File
mod - plugins/MantisCoreFormatting/MantisCoreFormatting.php Diff File
mod - plugins/MantisGraph/MantisGraph.php Diff File
mod - plugins/XmlImportExport/XmlImportExport.php Diff File
mod - tests/Mantis/AllTests.php Diff File
add - tests/Mantis/PluginTest.php Diff File

Issue History

Date Modified Username Field Change
2017-01-15 18:19 dregad New Issue
2017-01-15 18:19 dregad Status new => assigned
2017-01-15 18:19 dregad Assigned To => dregad
2017-01-15 18:20 dregad Note Added: 0055135
2017-01-15 19:03 dregad Note Added: 0055139
2017-01-25 10:51 dregad Changeset attached => MantisBT master b840255d
2017-01-25 10:51 dregad Changeset attached => MantisBT master 1d96c88c
2017-01-25 10:51 dregad Status assigned => resolved
2017-01-25 10:51 dregad Resolution open => fixed
2017-01-25 10:51 dregad Fixed in Version => 2.1.0
2017-01-31 04:02 vboctor Status resolved => closed